package live

import (
	"cloud.o-forge.io/core/oc-lib/models/resources"
	"cloud.o-forge.io/core/oc-lib/models/utils"
	"cloud.o-forge.io/core/oc-lib/tools"
)

type LiveInterface interface {
	utils.DBObject
	GetMonitorPath() string
	GetResourcesID() []string
	SetResourcesID(string)
	GetResourceAccessor(request *tools.APIRequest) utils.Accessor
	GetResource() resources.ResourceInterface
	GetResourceInstance() resources.ResourceInstanceITF
	SetResourceInstance(res resources.ResourceInterface, i resources.ResourceInstanceITF) resources.ResourceInterface
}
