package models

type MetricsSnapshot struct {
	From    string   `json:"origin"`
	Metrics []Metric `json:"metrics"`
}

type Metric struct {
	Name  string  `json:"name"`
	Value float64 `json:"value"`
	Error error   `json:"error"`
}

type MetricResume struct {
	Delta     float64 `json:"delta"`
	LastValue float64 `json:"last_value"`
}
